TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

DuvalPuiseuxExpansion ( elt-alg^pol f, elt-ord^rat n ) -> seq()

### Optional Arguments

Version | string |  | "Classical" or "Rational"
TestSquarefree | elt-alg^boo |  |
NoExtensions | elt-alg^boo |  |
LowerFaces | elt-alg^boo |  |
OneRoot | elt-alg^boo |  |

### Description

<shortdoc> The puiseux expansions of the roots of f, calculated using the algorithm of Duval (1989). The expansions are truncated after the n-th non-zero term </shortdoc>

### Examples

x_P:=PuiseuxSeriesRing(Q); x_Py:=PolynomialAlgebra(x_P); x_f:=x_Py.1^2 + x_P.1^3 + x_P.1 + 2; DuvalPuiseuxExpansion(x_f,2);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack